Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlasq3

    java.lang.Object
      org.netlib.lapack.Dlasq3

    public class Dlasq3

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLASQ3 checks for deflation, computes a shift (TAU) and calls dqds.
     *  In case of failure it changes shifts, and tries again until output
     *  is positive.
     *
     *  Arguments
     *  =========
     *
     *  I0     (input) INTEGER
     *         First index.
     *
     *  N0     (input) INTEGER
     *         Last index.
     *
     *  Z      (input) DOUBLE PRECISION array, dimension ( 4*N )
     *         Z holds the qd array.
     *
     *  PP     (input) INTEGER
     *         PP=0 for ping, PP=1 for pong.
     *
     *  DMIN   (output) DOUBLE PRECISION
     *         Minimum value of d.
     *
     *  SIGMA  (output) DOUBLE PRECISION
     *         Sum of shifts used in current segment.
     *
     *  DESIG  (input/output) DOUBLE PRECISION
     *         Lower order part of SIGMA
     *
     *  QMAX   (input) DOUBLE PRECISION
     *         Maximum value of q.
     *
     *  NFAIL  (output) INTEGER
     *         Number of times shift was too big.
     *
     *  ITER   (output) INTEGER
     *         Number of iterations.
     *
     *  NDIV   (output) INTEGER
     *         Number of divisions.
     *
     *  TTYPE  (output) INTEGER
     *         Shift type.
     *
     *  IEEE   (input) LOGICAL
     *         Flag for IEEE or non IEEE arithmetic (passed to DLASQ5).
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Field Summary
`static doubleW` | `dmin1`
`static doubleW` | `dmin2`
`static doubleW` | `dn`
`static doubleW` | `dn1`
`static doubleW` | `dn2`
`static doubleW` | `tau`
`static intW` | `ttype`

Constructor Summary
`Dlasq3()`

Method Summary
`static void` | `dlasq3(int i0, intW n0, double[] z, int _z_offset, int pp, doubleW dmin, doubleW sigma, doubleW desig, doubleW qmax, intW nfail, intW iter, intW ndiv, boolean ieee)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ttype

    public static intW ttype

### tau

    public static doubleW tau

### dn2

    public static doubleW dn2

### dn1

    public static doubleW dn1

### dn

    public static doubleW dn

### dmin2

    public static doubleW dmin2

### dmin1

    public static doubleW dmin1

Constructor Detail

### Dlasq3

    public Dlasq3()

Method Detail

### dlasq3

    public static void dlasq3(int i0,
                              intW n0,
                              double[] z,
                              int _z_offset,
                              int pp,
                              doubleW dmin,
                              doubleW sigma,
                              doubleW desig,
                              doubleW qmax,
                              intW nfail,
                              intW iter,
                              intW ndiv,
                              boolean ieee)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD